"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.doesIntegrationInstanceExist = void 0;
const tslib_1 = require("tslib");
const graphql_1 = require("../../codegen/gql/graphql");
function doesIntegrationInstanceExist(urqlClient, customerId, integrationName) {
    var _a, _b, _c;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const resp = yield gqlCheckIfInstanceExists(urqlClient, {
            customerId,
            name: integrationName,
        });
        return !!((_c = (_b = (_a = resp.data) === null || _a === void 0 ? void 0 : _a.instances) === null || _b === void 0 ? void 0 : _b.nodes) === null || _c === void 0 ? void 0 : _c.length);
    });
}
exports.doesIntegrationInstanceExist = doesIntegrationInstanceExist;
function gqlCheckIfInstanceExists(urqlClient, vars) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return urqlClient.query(graphql_1.CheckIfInstanceNameExistsDocument, vars).toPromise();
    });
}
