export function createKlevuIntegrationConfig({ epccComponentConnectionShared, epccBaseUrl, }) {
    const { clientId, clientSecret, tokenUrl } = epccComponentConnectionShared;
    return [
        {
            key: "Elastic Path Commerce Cloud Component Connection - Shared",
            values: `[{"name":"clientId","type":"value","value":"${clientId}"},{"name":"tokenUrl","type":"value","value":"${tokenUrl}"},{"name":"clientSecret","type":"value","value":"${clientSecret}"}]`,
        },
        {
            key: "epcc_base_url",
            value: epccBaseUrl,
        },
    ];
}
