import { InputInstanceConfigVariable } from "../codegen/gql/graphql";
export interface KlevuIntegrationConfig {
    klevuApiKey: string;
    klevuSearchUrl: string;
    epccComponentConnectionShared: {
        clientId: string;
        clientSecret: string;
        tokenUrl: string;
    };
    epccBaseUrl: string;
    webhookKey: string;
    webhookUrl?: string;
    webhookApiKey?: string;
    batchSize?: string;
    concurrentThreads?: string;
}
export declare function createKlevuIntegrationConfig({ epccComponentConnectionShared, epccBaseUrl, }: KlevuIntegrationConfig): InputInstanceConfigVariable[];
